pcb-rnd (3.1.4-1) unstable; urgency=medium

  * new upstream release
  * remove gEDA package reference in dependencies
  * add Suggests for other Ringdove applications
  * update Vcs entries for new subgroup on salsa
  * patch upstream clean target, closes: #1045355

 -- Bdale Garbee <bdale@gag.com>  Wed, 13 Mar 2024 17:19:26 -0600

pcb-rnd (3.1.3-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 30 Nov 2023 08:39:54 -0700

pcb-rnd (3.1.2-4) unstable; urgency=medium

  * with all HID code now in the librnd package, the motif and stroke build
    deps are no longer needed here

 -- Bdale Garbee <bdale@gag.com>  Sun, 12 Nov 2023 11:05:07 -0700

pcb-rnd (3.1.2-3) unstable; urgency=medium

  * elide libepoxy-dev from build deps, only librnd needs that
  * allow either gtk 4 or lesstif to be installed HID modules

 -- Bdale Garbee <bdale@gag.com>  Thu, 09 Nov 2023 11:37:34 -0700

pcb-rnd (3.1.2-2) unstable; urgency=medium

  * switch from GTK 2 to GTK 4, closes: #967685

 -- Bdale Garbee <bdale@gag.com>  Wed, 01 Nov 2023 20:33:09 -0600

pcb-rnd (3.1.2-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sun, 10 Sep 2023 18:37:41 -0600

pcb-rnd (3.1.1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 24 May 2023 11:33:43 -0600

pcb-rnd (3.1.0-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Tue, 07 Feb 2023 23:45:32 -0700

pcb-rnd (3.0.6-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 02 Nov 2022 15:17:25 -0600

pcb-rnd (3.0.5-3) unstable; urgency=medium

  * roll version number to include orig.tar.gz in upload

 -- Bdale Garbee <bdale@gag.com>  Fri, 09 Sep 2022 22:19:12 -0600

pcb-rnd (3.0.5-2) unstable; urgency=medium

  * patch from upstream to elide failing conf tests that are redundant since
    that code now exists and is tested in librnd, closes: #1015035

 -- Bdale Garbee <bdale@gag.com>  Thu, 25 Aug 2022 16:18:01 -0600

pcb-rnd (3.0.5-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 20 Jul 2022 04:13:47 -0600

pcb-rnd (3.0.4-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 25 Apr 2022 12:00:21 -0500

pcb-rnd (3.0.3-1) unstable; urgency=medium

  * new upstream version, closes: #1002252, #968285
  * enable use of fungw for additional scripting options, now that fungw and 
    friends are packaged in Debian

 -- Bdale Garbee <bdale@gag.com>  Wed, 12 Jan 2022 00:37:04 -0700

pcb-rnd (3.0.2-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Fri, 05 Nov 2021 17:11:24 -0600

pcb-rnd (3.0.1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 21 Oct 2021 00:26:11 -0600

pcb-rnd (3.0.0-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 15 Sep 2021 21:09:31 -0600

pcb-rnd (2.4.0-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 02 Jun 2021 22:21:57 -0600

pcb-rnd (2.3.2-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Fri, 09 Apr 2021 10:00:05 -0600

pcb-rnd (2.3.1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 21 Jan 2021 18:18:20 -0700

pcb-rnd (2.3.0-3) unstable; urgency=medium

  * tighten dependencies since upstream does not support version skew,
    closes: #977947

 -- Bdale Garbee <bdale@gag.com>  Wed, 23 Dec 2020 10:41:53 -0700

pcb-rnd (2.3.0-2) unstable; urgency=medium

  * patch from upstream attempting to fix autobuilder failures 
  * upstream says gettext should not be a build-dep

 -- Bdale Garbee <bdale@gag.com>  Sat, 28 Nov 2020 17:54:06 -0500

pcb-rnd (2.3.0-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 18 Nov 2020 08:49:38 -0700

pcb-rnd (2.2.4-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 09 Sep 2020 10:51:52 -0500

pcb-rnd (2.2.3-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 09 Jul 2020 11:36:32 -0600

pcb-rnd (2.2.1-2) unstable; urgency=medium

  * add Breaks for each Replaces to avoid policy violating partial upgrades,
    closes: #960508

 -- Bdale Garbee <bdale@gag.com>  Wed, 13 May 2020 12:46:59 -0600

pcb-rnd (2.2.1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 22 Apr 2020 22:15:03 -0600

pcb-rnd (2.2.0-3) unstable; urgency=medium

  * fix from upstream to include pcblib (footprint lib) in pcb-rnd-core

 -- Bdale Garbee <bdale@gag.com>  Wed, 26 Feb 2020 22:16:46 -0700

pcb-rnd (2.2.0-2) unstable; urgency=medium

  * move restructured packaging from experimental to unstable

 -- Bdale Garbee <bdale@gag.com>  Mon, 24 Feb 2020 18:33:31 -0700

pcb-rnd (2.2.0-2~exp3) experimental; urgency=medium

  * pcb-rnd-core and pcb-rnd-import-net also needs Replaces 

 -- Bdale Garbee <bdale@gag.com>  Wed, 19 Feb 2020 01:07:33 -0700

pcb-rnd (2.2.0-2~exp2) experimental; urgency=medium

  * mark pcb-rnd-doc with Replaces on pre-split pcb-rnd to prevent failure
    from attempted file overwrites during install on upgrade

 -- Bdale Garbee <bdale@gag.com>  Tue, 18 Feb 2020 11:56:41 -0700

pcb-rnd (2.2.0-2~exp1) experimental; urgency=medium

  * restructure packaging to use a modular approach favored by upstream
  * target experimental for now
  * make -dev package dependency on shared lib version stronger

 -- Bdale Garbee <bdale@gag.com>  Mon, 10 Feb 2020 23:46:08 -0700

pcb-rnd (2.2.0-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Fri, 24 Jan 2020 02:42:02 -0700

pcb-rnd (2.1.4-2) unstable; urgency=medium

  * patch from upstream to fix non-relative library symlinks, closes: #943955

 -- Bdale Garbee <bdale@gag.com>  Tue, 05 Nov 2019 22:22:25 -0700

pcb-rnd (2.1.4-1) unstable; urgency=medium

  * new upstream release

 -- Bdale Garbee <bdale@gag.com>  Tue, 29 Oct 2019 22:17:22 -0600

pcb-rnd (2.1.3-2) unstable; urgency=high

  * source-only upload to enable promotion to testing, needed for backports

 -- Bdale Garbee <bdale@gag.com>  Wed, 31 Jul 2019 22:48:49 -0600

pcb-rnd (2.1.3-1) unstable; urgency=medium

  * new upstream release

 -- Bdale Garbee <bdale@gag.com>  Thu, 18 Jul 2019 15:59:12 -0600

pcb-rnd (2.1.2-1) unstable; urgency=medium

  * new upstream release

 -- Bdale Garbee <bdale@gag.com>  Wed, 24 Apr 2019 14:43:36 -0600

pcb-rnd (2.1.1-1) unstable; urgency=medium

  * new upstream release

 -- Bdale Garbee <bdale@gag.com>  Wed, 13 Feb 2019 09:09:32 -0700

pcb-rnd (2.1.0-2) unstable; urgency=medium

  * don't parallel build on mipsel or mips64el since it seems to cause 
    strange buildd failures

 -- Bdale Garbee <bdale@gag.com>  Wed, 02 Jan 2019 22:31:37 -0700

pcb-rnd (2.1.0-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sat, 24 Nov 2018 21:49:18 -0700

pcb-rnd (2.0.1-2) unstable; urgency=medium

  * drop --with-intl since pcb-rnd is English-only for now, closes: #908553

 -- Bdale Garbee <bdale@gag.com>  Sat, 27 Oct 2018 13:40:43 -0600

pcb-rnd (2.0.1-1) unstable; urgency=medium

  * new upstream version
  * switch back to using --all=buildin

 -- Bdale Garbee <bdale@gag.com>  Thu, 30 Aug 2018 23:33:33 -0600

pcb-rnd (2.0.0-1) unstable; urgency=medium

  * new upstream version
  * dbus should not be a build dependency

 -- Bdale Garbee <bdale@gag.com>  Fri, 08 Jun 2018 09:40:35 +0200

pcb-rnd (1.2.8-2) unstable; urgency=medium

  * patch from upstream to fix bug building with --all=plugin
  * switch to using --all=plugin, so that restructuring into multiple binary
    packages will be easier in the future
  * move packaging repository into the Electronics Team group on Salsa

 -- Bdale Garbee <bdale@gag.com>  Thu, 22 Mar 2018 07:27:50 -0600

pcb-rnd (1.2.8-1) unstable; urgency=medium

  * new upstream version
  
 -- Bdale Garbee <bdale@gag.com>  Wed, 21 Mar 2018 10:33:01 -0600

pcb-rnd (1.2.7-1) unstable; urgency=medium

  * new upstream version
  * patch from upstream to fix handling of spaces in passed-in *FLAGS
  * patch from upstream adding in missing ref file missed in release
  * patch from upstream fixing privacy breach caused by remote image link
  * updated description text provided by upstream author
  * restructure package configuration to build as many plugins as we
    can, leading to more build deps

 -- Bdale Garbee <bdale@gag.com>  Tue, 26 Dec 2017 21:44:48 -0700

pcb-rnd (1.2.6-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Oct 2017 18:01:07 -0600

pcb-rnd (1.2.5-2) unstable; urgency=high

  * security patch from upstream to eliminate execution of code from a 
    maliciously formed design file

 -- Bdale Garbee <bdale@gag.com>  Sun, 17 Sep 2017 18:23:29 -0600

pcb-rnd (1.2.5-1) unstable; urgency=medium

  * New upstream version

 -- Bdale Garbee <bdale@gag.com>  Tue, 22 Aug 2017 09:23:47 -0600

pcb-rnd (1.2.3-1) unstable; urgency=medium

  * New upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 14 Jun 2017 08:54:54 -0600

pcb-rnd (1.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 10 Apr 2017 11:39:19 -0600

pcb-rnd (1.2.1-1) unstable; urgency=medium

  * New upstream version
  * revert commit that moved repo published location and changed uploaders
  * Removed 'Replaces: pcb', updated package Description to mention gEDA
  * Turned off plugins that upstream says don't work well yet:
    - gpmi
    - boardflip
    - export_dxf
    - export_openscad
  * Shipping new documentation upstream just wrote
  * I no longer ship manpages for tools I don't ship

 -- Bdale Garbee <bdale@gag.com>  Wed, 15 Feb 2017 10:10:33 -0700

pcb-rnd (1.1.4-1) unstable; urgency=low

  * New upstream release (Closes: #843839)

 -- Dima Kogan <dkogan@debian.org>  Sun, 18 Dec 2016 21:11:55 -0800
